petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCFactorGetMatSolverPackage

gets the software that is used to perform the factorization

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorGetMatSolverPackage(PC pc,const MatSolverPackage *stype)

Not Collective

### Input Parameter

pc -the preconditioner context

### Output Parameter

stype -for example, superlu, superlu_dist (NULL if the PC does not have a solver package)

### Keywords

PC, set, factorization, direct, fill

### See Also

MatGetFactor(), MatSolverPackage, PCFactorGetMatSolverPackage()

Level:intermediate
Location:src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages